/*
    Robot Controller Client

    (C) 2005-2011 Jason Hunt

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    Contact: nulluser@gmail.com

    FILE: robot_win.cpp
        
    Robot window
*/


#include <windows.h>
#include <stdio.h>

#pragma hdrstop
#include "types.h"

#include "utility.h"
#include "profile.h"
#include "..\version.h"
#include "resource.h"
#include "display.h"
#include "network.h"
#include "camera.h"
#include "input.h"

#include "camera_win.h"

#define MODULE_NAME "[Camera Win] "

#include "main.h"

#define SEND_KEEP_ALIVE_TIME 100 // time in ms to set the keep alive data




