/*
 *  V4L2 video capture example
 *
 *  This program can be used and distributed without restrictions.
 */


void cameradrv_frame  (unsigned char *data, unsigned int max, unsigned int *len);


int cameradrv_start (char * name, unsigned int *image_x_val, unsigned int *image_y_val, unsigned int *max_image_val);
void cameradrv_stop (void);

#define BYTE unsigned char


typedef struct tagJPGFILEHEADER 
{
	BYTE SOI[2];/*SOI Marker 0xFFD8*/
	BYTE APP0[2];/*APP0 MARKER 0xFF0E*/
	BYTE length[2];/*length of header without APP0 in bytes*/
	BYTE JFIF[5];/*set to JFIF0 0x4A46494600*/
	BYTE VERS[2];/*1-2 0x0102*/
	BYTE density;/* 0 - No units, aspect ratio only specified
		        1 - Pixels per Inch on quickcam5000pro
			2 - Pixels per Centimetre                */
	BYTE xdensity[2];/*120 on quickcam5000pro*/
	BYTE ydensity[2];/*120 on quickcam5000pro*/
	BYTE WTN;/*width Thumbnail 0*/
	BYTE HTN;/*height Thumbnail 0*/	
} __attribute__ ((packed)) JPGFILEHEADER, *PJPGFILEHEADER;






